package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_MINIMUM__INTEGER_INTEGER {
	private static final ValueInteger do_MINIMUM(Context context, ValueInteger a, ValueInteger b) {
		       
		// Returns the smaller of two INTEGER values.
			return ValueInteger.select(context.getGenerator(), Math.min(a.longValue(), b.longValue()));
	}

	public static final void execute(Context context) {
		ValueInteger p1 = (ValueInteger)context.pop();
		ValueInteger p0 = (ValueInteger)context.pop();
		context.push(do_MINIMUM(context, p0, p1));
	}
}